> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get My Timesheet

> Returns the caller's timesheet period for a date with per-day entries, holidays, leave and findings.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-my-timesheet
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-my-timesheet:
    get:
      operationId: getMyTimesheet
      summary: Get My Timesheet
      description: >-
        Returns the caller's timesheet period for a date with per-day entries,
        holidays, leave and findings.


        Not available to API keys.
      parameters:
        - name: onDate
          in: query
          required: false
          schema:
            type: string
            pattern: ^\d{4}-\d{2}-\d{2}$
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMyTimesheetResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetMyTimesheetResponse:
      type: object
      properties:
        tracking:
          type:
            - object
            - 'null'
          properties:
            mode:
              type: string
            periodType:
              type: string
            timezone:
              type: string
            countryStatus:
              type: string
            manualEntryGraceDays:
              type: number
            approvalFlow:
              type: string
            weekStartsOn:
              type: number
            breakPay:
              type: object
              properties:
                shortBreakPay:
                  type: string
                mealBreakPay:
                  type: string
              required:
                - shortBreakPay
                - mealBreakPay
          required:
            - mode
            - periodType
            - timezone
            - countryStatus
            - manualEntryGraceDays
            - approvalFlow
            - weekStartsOn
            - breakPay
        period:
          type: object
          properties:
            timesheetPeriodID:
              type:
                - string
                - 'null'
            periodStart:
              type: string
            periodEnd:
              type: string
            dueOn:
              type:
                - string
                - 'null'
            status:
              type: string
            complianceStatus:
              type: string
            totalNetMinutes:
              type: number
            totalOvertimeMinutes:
              type: number
            employeeSignedAt:
              type:
                - string
                - 'null'
            signedByName:
              type:
                - string
                - 'null'
            rejectionReason:
              type:
                - string
                - 'null'
            canSignOff:
              type: boolean
            signableFrom:
              type:
                - string
                - 'null'
          required:
            - timesheetPeriodID
            - periodStart
            - periodEnd
            - dueOn
            - status
            - complianceStatus
            - totalNetMinutes
            - totalOvertimeMinutes
            - employeeSignedAt
            - signedByName
            - rejectionReason
            - canSignOff
            - signableFrom
        days:
          type: array
          items:
            type: object
            properties:
              timesheetEntryID:
                type:
                  - string
                  - 'null'
              workDate:
                type: string
              isoWeekday:
                type: number
              startTime:
                type:
                  - string
                  - 'null'
              endTime:
                type:
                  - string
                  - 'null'
              breakStartTime:
                type:
                  - string
                  - 'null'
              breakEndTime:
                type:
                  - string
                  - 'null'
              breaks:
                type: array
                items:
                  type: object
                  properties:
                    startTime:
                      type: string
                    endTime:
                      type: string
                    kind:
                      type: string
                    paid:
                      type: boolean
                    worked:
                      type: boolean
                    minutes:
                      type: number
                  required:
                    - startTime
                    - endTime
                    - kind
                    - paid
                    - minutes
              breakMinutes:
                type: number
              netMinutes:
                type: number
              overtimeMinutes:
                type: number
              source:
                type:
                  - string
                  - 'null'
              complianceStatus:
                type: string
              note:
                type:
                  - string
                  - 'null'
              isHoliday:
                type: boolean
              holidayName:
                type:
                  - string
                  - 'null'
              isLeave:
                type: boolean
              isMissing:
                type: boolean
              isEditable:
                type: boolean
              breakPay:
                type: object
                properties:
                  shortBreakPay:
                    type: string
                  mealBreakPay:
                    type: string
                required:
                  - shortBreakPay
                  - mealBreakPay
              clock:
                type:
                  - object
                  - 'null'
                properties:
                  startAt:
                    type: string
                  endAt:
                    type: string
                  timezone:
                    type: string
                  updatedAt:
                    type: string
                required:
                  - startAt
                  - endAt
                  - timezone
                  - updatedAt
            required:
              - timesheetEntryID
              - workDate
              - isoWeekday
              - startTime
              - endTime
              - breakStartTime
              - breakEndTime
              - breaks
              - breakMinutes
              - netMinutes
              - overtimeMinutes
              - source
              - complianceStatus
              - note
              - isHoliday
              - holidayName
              - isLeave
              - isMissing
              - isEditable
        findings:
          type: array
          items:
            type: object
            properties:
              ruleType:
                type: string
              status:
                type: string
              workDate:
                type:
                  - string
                  - 'null'
              message:
                type: string
            required:
              - ruleType
              - status
              - workDate
              - message
      required:
        - tracking
        - period
        - days
        - findings
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
